ISDNTEL(8)

NAME
isdntel - isdn4bsd telephone answering management utility

SYNOPSIS
isdntel [-a aliasfile] [-d spooldir] [-p playcommand] [-t timeout]

DESCRIPTION
isdntel is used to provide an “answering machine” functionality for incoming telephone voice messages.

The following options are supported:

-a  Use aliasfile as the pathname for an aliasfile containing aliases for phone numbers. The default path is /etc/isdn/isdntel.alias. The format of an alias entry is the number string followed by one or more spaces or tabs. The rest of the line is taken as the alias string. Comments are introduced by a leading blank, tab or “#” character.

-d  Use spooldir as the directory where the incoming voice messages are stored by the “answ” script called by isdnd(8). This defaults to the directory /var/isdn. The format of a voice message filename is:

        YYMMDDhhmmss-dest_number-source_number-length_in_secs

-p  Use playcommand as the command string to execute for playing a voice message to some audio output facility. The characters %s are replaced by the currently selected filename. The default string is cat %s | alaw2ulaw /dev/audio

-t  The value for timeout specifies the time in seconds the program rereads the spool directory when there is no keyboard activity.

The screen output should be obvious. If in doubt, consult the source.

SEE ALSO
isdntel(4), isdnd.rc(5), isdnd(8)

AUTHORS
The isdntel utility and this manual page were written by Hellmuth Michaelis <hm@kts.org>.